; ClusterAccessBnet>Install.jcl ***********************************************

FromFloppy   = 0
FromServer   = 2
FromCdRom    = 5
TotalSilence = 2

ToSpec   = ConcatStrings(VolumeTo, DirectoryTo)

; save the BnetConfig.Sys file to Save>Bnetconfig.Sys

BnetFile  = '*BnetConfig.Sys'
    CfgSpec   = ConcatStrings(ToSpec, BnetFile)
    saveSpec  = ConcatStrings(ToSpec, 'save>')
    Command LCopy                         ,
    CfgSpec                               ,
                                          ,
    saveSpec                              ,
                                          ,
    No                                    ,
    No                                    ,
    No                                    

; Copy all the required files from floppyCDROM OR Master to localMaster disk

$If InstallType = FromServer 

Command LCopy  	                         ,
                                         ,
    @[src]<$>InstallOverwriteOkFrom.fls  ,
    @[src]<$>InstallOverwriteOkTo.fls    ,
                                         ,
    Yes                                  ,
    No                                   ,
    No                                   

    GoTo    DoRqs

$Endif

$If InstallType = FromCDRom

FromSpec = ConcatStrings(DeviceFrom, '<CLA3.0.9>')
FromList = ConcatStrings(FromSpec, 'Bnet.Fls')

Command LCopy            	             ,
    @FromList                            ,
    FromSpec                             ,
    ToSpec                               ,
                                         ,
    Yes                                  ,
    No                                   ,
    No                                   

    GoTo    DoRqs

$Endif

FromSpec = ConcatStrings(DeviceFrom, '<Unisys>')
FromList = ConcatStrings(FromSpec, 'Bnet.Fls')

Command LCopy                            ,
    @FromList                            ,
    FromSpec                             ,
    ToSpec                               ,
                                         ,
    Yes                                  ,
    No                                   ,
    No                                   

DoRqs:

;*************  Merge the requests 

$RestartLabel

DirSpec            = ConcatStrings(VolumeTo, DirectoryTo)
MasterLSpec        = ConcatStrings(DirSpec, 'Request.txt')
MasterRSpec        = ConcatStrings(DirSpec, 'Request.Sys')
RqList             = ConcatStrings(DirSpec, 'Request.Bnet.Apnd')
RqLog              = ConcatStrings(DirSpec, 'Request.log')

Command List Request Set           ,
          MasterRSpec              ,
          MasterLSpec

Command Make Request Set           ,
          (MasterLSpec, RqList)    ,
          MasterRSpec              ,
          Yes                      ,
          RqLog

;****** merge the command files

$RestartLabel

$If Public

    CmdFileFrom = ConcatStrings(ToSpec, 'BnetIIM.cmds')
    Master      = '[sys]'

    Command Merge Command Files       ,
        CmdFileFrom                   ,
        CmdFileTo                     ,
        Yes                           ,
        Master

    Command Merge Command Files       ,
        CmdFileFrom                   ,
        CmdFileTo                     ,
        Yes                           ,
        VolumeTo

$Else

    CmdFileFrom = ConcatStrings(ToSpec, 'BnetIIC.cmds')
    Local       = '[sys]'

    Command Merge Command Files        ,
        CmdFileFrom                    ,
        CmdFileTo                      ,
        yes                            ,
        Local

$EndIf

Msg1 = '************ Reboot the System ******************'
Msg2 = '*To Complete Installation of CLUSTER ACCESS BNET*'
Msg3 = '*************************************************'

$DisplayLine
$DisplayLine
$DisplayLine
$DisplayLine(Msg1)
$DisplayLine(Msg2)
$DisplayLine(Msg3)

$End
s GO to execute, CANCEL to dismiss)|
|
Hexadecimal code(s):  |	|
**( +0+p1+3+p. DISPLAY COLORS |(Press GO to execute, NEXT for next item, CANCEL to dismiss)|
|
Normal display
   Red leve