; SortMerge>Install.jcl
; Install the SortMerge Utilities subpackage

; Except for yesno strings, these two messages are the only nationalizable
; strings in this file.
ErrorMsg     = 'Cannot access message file'
FirstDisk    = 'System Utilities Diskette 4 of 4 (B25STP4)'

FromFloppy   = 0
FromServer   = 2
SysVolume    = '[Sys]'
BangSys      = '[Sys]'
SysCmds      = '[Sys]<sys>sys.cmds'
FloppySpec   = ConcatStrings(DeviceFrom, '<zSortMerge>')
ToSpec       = ConcatStrings(VolumeTo,   DirectoryTo)
FromSpec     = ConcatStrings(FloppySpec, '*')

If InstallType = FromFloppy
    NextFloppy(FirstDisk)
    EndIf

InitErc = InitMsgFile(MsgFile)
If InitErc > 0
    DisplayLine(ErrorMsg)
    Cancel
    Endif

If Public
    Command Merge Command Files   ,
              CmdFileFrom         ,
              CmdFileTo           ,
              Yes                 ,
              VolumeTo

    Command Merge Command Files   ,
              CmdFileFrom         ,
              SysCmds             ,
              Yes                 ,
              BangSys
Else
    Command Merge Command Files   ,
              CmdFileFrom         ,
              CmdFileTo           ,
              Yes                 ,
              SysVolume
EndIf

If InstallType = FromServer
    Command LCopy                                      ,
                                                       ,
              @[Scr]<$>InstallOverwriteOkFrom.fls      ,
              @[Scr]<$>InstallOverwriteOkTo.fls        ,
                                                       ,
              Yes                                      ,
              No                                       ,
              No
    GoTo EndIt
    Endif

Command Decompress Files           ,
          FromSpec                 ,
                                   ,
          ToSpec                   ,
          Yes                      ,
          No                       

RestartLabel

pkg = GetMsg(2)
If substring(pkg,pkgs) <> 65535
    GoTo EndIt
    EndIf

pkg = GetMsg(3)
If substring(pkg,pkgs) <> 65535
    GoTo EndIt
    EndIf

pkg = GetMsg(4)
If substring(pkg,pkgs) <> 65535
    GoTo EndIt
    EndIf

pkg = GetMsg(5)
If substring(pkg,pkgs) <> 65535
    GoTo EndIt
    EndIf

pkg = GetMsg(6)
If substring(pkg,pkgs) <> 65535
    GoTo EndIt
    EndIf

pkg = GetMsg(7)
If substring(pkg,pkgs) <> 65535
    GoTo EndIt
    EndIf

pkg = GetMsg(8)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(1)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf

pkg = GetMsg(9)
If substring(pkg,pkgs) <> 65535
    GoTo EndIt
    EndIf

pkg = GetMsg(10)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(12)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf

pkg = GetMsg(11)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(12)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf

EndIt:

End
0
FromServer   = 2
SysVolume    = '[Sys]'
BangSys      = '[Sys]'
SysCmds      = '[Sys]<sys>sys.cmds'
FloppySpec   = ConcatStrings(DeviceFrom, '<zMath>')
ToSpec       = ConcatStrings(VolumeTo,   DirectoryTo)
FromSpec     = ConcatStr