; BasicDevelopment>Install.jcl
; Install the Development Utilities subpackage

; Except for yesno strings, these two messages are the only nationalizable
; strings in this file.
ErrorMsg     = 'Cannot access message file'
FirstDisk    = 'Development Utilities Diskette 1 of 3 (B25U221)'

FromFloppy   = 0
FromServer   = 2
SysVolume    = '[Sys]'
SysCmds      = '[Sys]<sys>sys.cmds'
FloppySpec   = ConcatStrings(DeviceFrom, '<CTOS>')
ToSpec       = ConcatStrings(VolumeTo,   DirectoryTo)
FromSpec     = ConcatStrings(FloppySpec, '*')

ToSpec12.3.1	 = ConcatStrings(ToSpec, 'pre12.3.1>')

If InstallType = FromFloppy
    NextFloppy(FirstDisk)
    EndIf

InitErc = InitMsgFile(MsgFile)
If InitErc > 0
    DisplayLine(ErrorMsg)
    Cancel
    Endif

If Public
    Command Merge Command Files   ,
              CmdFileFrom         ,
              SysCmds             ,
              Yes                 ,
              SysVolume
EndIf

Command Merge Command Files        ,
          CmdFileFrom              ,
          CmdFileTo                ,
          Yes                      ,
          VolumeTo

Command LCopy                                     ,
          'LinkerConfig.sys'                      ,
          ToSpec                                  ,
          ToSpec12.3.1                            ,
                                                  ,
          No                                      ,
          No                                      ,
          Yes                                     

Command LCopy                                     ,
          'ResourceLibConfig.sys'                 ,
          ToSpec                                  ,
          ToSpec12.3.1                            ,
                                                  ,
          No                                      ,
          No                                      ,
          Yes                                     

Command LCopy                                     ,
          'Nls.asm'                               ,
          ToSpec                                  ,
          ToSpec12.3.1                            ,
                                                  ,
          No                                      ,
          No                                      ,
          Yes                                     

If InstallType = FromServer
    Command LCopy                                      ,
                                                       ,
              @[Scr]<$>InstallOverwriteOkFrom.fls      ,
              @[Scr]<$>InstallOverwriteOkTo.fls        ,
                                                       ,
              Yes                                      ,
              No                                       ,
              No                                       
    GoTo EndIt
    EndIf

Command LCopy                      ,
          FromSpec                 ,
                                   ,
          ToSpec                   ,
                                   ,
          Yes                      ,
          No                       ,
          No                       

RestartLabel

Msg = GetMsg(1)
$NextFloppy(Msg)

Command LCopy                      ,
          FromSpec                 ,
                                   ,
          ToSpec                   ,
                                   ,
          Yes                      ,
          No                       ,
          No                       

;KeyBoard Tools
pkg = GetMsg(3)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(2)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf

;KeyBoard Tables
pkg = GetMsg(4)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(2)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf

;Asynchronous Examples
pkg = GetMsg(5)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(2)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf

;SortMerge Examples
pkg = GetMsg(6)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(2)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf

;DLL Mediator
pkg = GetMsg(7)
If substring(pkg,pkgs) <> 65535
    Msg = GetMsg(2)
    NextFloppy(Msg)
    GoTo EndIt
    EndIf
EndIt:

End
