; KeyboardTables>Install.jcl
; Install the Keyboard Table Source subpackage

; Except for yesno strings, these two messages are the only nationalizable
; strings in this file.
ErrorMsg     = 'Cannot access message file'
FirstDisk    = 'Development Utilities Diskette 3 of 3 (B25U223)'

FromFloppy   = 0
FromServer   = 2
ScrSpec      = '[Scr]<$>'
FloppySpec   = ConcatStrings(DeviceFrom, '<KbdTbl>')
ToSpec       = ConcatStrings(VolumeTo,   DirectoryTo)
FromSpec     = ConcatStrings(FloppySpec, '*')

If InstallType = FromFloppy
    NextFloppy(FirstDisk)
    EndIf


If InstallType = FromServer
    Command LCopy                                      ,
                                                       ,
              @[Scr]<$>InstallOverwriteOkFrom.fls      ,
              @[Scr]<$>InstallOverwriteOkTo.fls        ,
                                                       ,
              Yes                                      ,
              No                                       ,
              No                                       
    GoTo EndIt
    Endif

Command LCopy                      ,
          FromSpec                 ,
                                   ,
          ToSpec                   ,
                                   ,
          Yes                      ,
          No                       ,
          No                       

RestartLabel

EndIt:

End
                         
    GoTo EndIt
    Endif

Command LCopy                      ,
          FromSpec               