******************************************************

            PROPRIETARY PROGRAM MATERIAL

THIS MATERIAL IS PROPRIETARY TO UNISYS CORPORATION
AND IS NOT TO BE REPRODUCED, USED OR DISCLOSED EXCEPT 
IN ACCORDANCE WITH PROGRAM LICENSE OR UPON WRITTEN
AUTHORIZATION OF UNISYS CORPORATION.

COPYRIGHT  (C)  1991 Unisys CORPORATION


	Unisys U 6000  System V  Mar 1985	
	ident	@()in.h	1.1 :srcctixutsi386syss.in.h 42589 12:26:20 

******************************************************

ifndef in__h
define in__h

*
 * Constants and structures defined by the internet system,
 * Per RFC 790, September 1981.
 *

*
 * Protocols
 *
define	IPPROTO_IP		0		* dummy for IP *
define	IPPROTO_ICMP		1		* control message protocol *
define	IPPROTO_GGP		2		* gateway^2 (deprecated) *
define	IPPROTO_TCP		6		* tcp *
define	IPPROTO_EGP		8		* exterior gateway protocol *
define	IPPROTO_PUP		12		* pup *
define	IPPROTO_UDP		17		* user datagram protocol *
define	IPPROTO_IDP		22		* xns idp *

define	IPPROTO_RAW		255		* raw IP packet *
define	IPPROTO_MAX		256

define IP_OPTIONS		1		* setget IP perpacket options *

*
 * Ports < IPPORT_RESERVED are reserved for
 * privileged processes (e.g. root).
 * Ports > IPPORT_USERRESERVED are reserved
 * for servers, not necessarily privileged.
 *
define	IPPORT_RESERVED		1024
define	IPPORT_USERRESERVED	5000

*
 * Link numbers
 *
define	IMPLINK_IP		155
define	IMPLINK_LOWEXPER	156
define	IMPLINK_HIGHEXPER	158

*
 * Internet address (a structure for historical reasons)
 *
struct in_addr {
	u_long s_addr;
};

*
 * Definitions of bits in internet address integers.
 * On subnets, the decomposition of addresses to host and net parts
 * is done according to subnet mask, not the masks here.
 *
define	IN_CLASSA(i)		(((long)(i)  0x80000000) == 0)
define	IN_CLASSA_NET		0xff000000
define	IN_CLASSA_NSHIFT	24
define	IN_CLASSA_HOST		0x00ffffff
define	IN_CLASSA_MAX		128

define	IN_CLASSB(i)		(((long)(i)  0xc0000000) == 0x80000000)
define	IN_CLASSB_NET		0xffff0000
define	IN_CLASSB_NSHIFT	16
define	IN_CLASSB_HOST		0x0000ffff
define	IN_CLASSB_MAX		65536

define	IN_CLASSC(i)		(((long)(i)  0xc0000000) == 0xc0000000)
define	IN_CLASSC_NET		0xffffff00
define	IN_CLASSC_NSHIFT	8
define	IN_CLASSC_HOST		0x000000ff

define	INADDR_ANY		(u_long)0x00000000
define	INADDR_BROADCAST	(u_long)0xffffffff	* must be masked *

*
 * Socket address, internet style.
 *
struct sockaddr_in {
	short	sin_family;
	u_short	sin_port;
	struct	in_addr sin_addr;
	char	sin_zero[8];
};

if defined(i386)  defined(ntohl) 
*
 * Macros for number representation conversion.
 *

define ntohs htons
short int htons plm far (short int s);
define ntohl htonl
long int htonl plm far (long int l);
endif

if defined(ntohl)   defined(i386)
u_short	ntohs(), htons();
u_long	ntohl(), htonl();
endif

endif * in__h *
