******************************************************
            PROPRIETARY PROGRAM MATERIAL

THIS MATERIAL IS PROPRIETARY TO UNISYS CORPORATION
AND IS NOT TO BE REPRODUCED, USED OR DISCLOSED EXCEPT 
IN ACCORDANCE WITH PROGRAM LICENSE OR UPON WRITTEN
AUTHORIZATION OF UNISYS CORPORATION.

COPYRIGHT  (C)  1991 Unisys CORPORATION

	@()types.h 1.3 861007 SMI; from UCB 4.11 830701	

******************************************************
*
 * Basic system types and majorminor device constructingbusting macros.
 *
ifndef _TYPES_
define	_TYPES_

typedef	unsigned char	u_char;
typedef	unsigned short	u_short;
typedef	unsigned int	u_int;
typedef	unsigned long	u_long;
typedef	unsigned short	ushort;		* System V compatibility *
typedef	unsigned int	uint;		* System V compatibility *

typedef	struct	_quad { long val[2]; } quad;
typedef	long	daddr_t;
typedef	char *	caddr_t;
typedef	u_long	ino_t;
typedef	long	swblk_t;
typedef	short	dev_t;
typedef	int	off_t;
typedef long	key_t;

typedef	struct	fd_set { int fds_bits[1]; } fd_set;

ifndef NULL
	if	defined(__SMALL__) || defined(__MEDIUM__)
		define	NULL	0
	else
		define	NULL	0L
	endif
endif


typedef u_int	word;
typedef char *far pointer;
typedef char	byte;


ifndef	_SIZE_T
define	_SIZE_T
typedef	unsigned size_t;
endif


ifndef	__TIME_T
define	__TIME_T

typedef	struct	simpleDate	{
	unsigned	seconds;
	unsigned	dayTimes2;
	}	time_t;
	
endif
ifndef __ERCTYPE
define	__ERCTYPE
ifdef TYPEDEF
typedef	unsigned	ErcType;
else
define ErcType unsigned
endif
endif


ifdef TYPEDEF
typedef unsigned ExchType;
typedef unsigned PhType;
typedef unsigned RqType;
else
define ExchType unsigned
define PhType   unsigned
define RqType   unsigned
endif

ifndef __HDWTYPE
define __HDWTYPE
ifdef TYPEDEF
typedef unsigned int    word;
typedef unsigned char   byte;
typedef char *far     pointer;
typedef unsigned long   quad
else
define word    unsigned int
define byte    unsigned char
define quad    unsigned long
define pointer char *far
endif
endif

ifndef __RQHDR
define __RQHDR
typedef struct rqheader {
	byte sCntInfo;
	byte RtCode;
	byte nReqPbCb;
	byte nRespPbCb;
	word userNum;
	word exchResp;
	word ercRet;
	word rqCode;
} RqHdrType;
endif

* C style synonym *
define rqhdr_t RqHdrType


ifndef __SD
define __SD
typedef struct { byte *far pb; word cb;} sdType;
endif

* C style synonym *
define sd_t sdType




endif
