

	Software
	Release
	Announcement
		
OFIS DocumentDesigner
Version R3.1.100
Style IDs:
MB25DD3
XB25DD3
NP25DD3
UP25DD3
To order additional copies of this document
	United States customers call Unisys Direct at 18004481424.
	All other customers contact your Unisys Sales Office.
	Unisys personnel use the Electronic Literature Ordering (ELO) system
	
Distribution lists:
SA,SN,SU,SW,PR5
System:	BCTOS
Release	OFIS DD3.1
Part Number:	43577402002
The names, places, andor events used in this publication are not intended to correspond to any individual, group, or association existing, living, or otherwise.  Any similarity or likeness of the names, places, andor events with the names of any individual, living or otherwise, or that of any group or association is purely coincidental and unintentional.
NO WARRANTIES OF ANY NATURE ARE EXTENDED BY THIS DOCUMENT.  Any product or related information described herein is only furnished pursuant and subject to the terms and conditions of duly executed agreement to purchase or lease equipment or to lease software.  The only warranties made by Unisys, if any, with respect to the products described in this document are set forth in such agreement.  Unisys cannot accept any financial or other responsibility that may be the result of your use of the information in this document or software material, including direct, special or consequential damages.
You should be very careful to ensure that the use of this information andor software material complies with the laws, rules, and regulations of the jurisdictions with respect to which it is used.
The information contained herein is subject to change without notice.  Revisions may be issued to advise of such changes andor additions.
RESTRICTED RIGHTS LEGEND.  Use, reproduction, or disclosure is subject to the restrictions set forth in DFARS 252.2277013  and FAR 52.22714 for commercial computer software.
Copyright  1994 Unisys Corporation
All Rights Reserved
Unisys is a registered trademark of Unisys Corporation
Convergent, Convergent Technologies, CTOS, NGEN, and SuperGen are registered trademarks of Convergent Technologies, Inc., a wholly owned subsidiary of Unisys Corporation.
Art Designer, AutoBoot, Chart Designer, ClusterCard, ClusterShare, Context Manager, Context ManagerVM, CTAM, CTDBMS, CTMAIL, CTNet, CTOSVM, CTOSVpc, Document Designer, Generic Print System, Image Designer, Network PC, PC Emulator, Phone Memo Manager, Print Manager, Series 186, Series 286, Series 386, Series 286i, Series 386i, Shared Resource Processor, Solution Designer, SRP, TeleCluster, The Operator, VoiceData Services, Voice Processor, XBus, and XBus+ are trademarks of Convergent Technologies, Inc., a wholly owned subsidiary of Unisys Corporation.
MAPPER and OFIS are registered trademarks of Unisys Corporation.
BTOS is a trademark of Unisys Corporation.
Apple, LaserWriter, and Macintosh are registered trademarks of Apple Computer, Inc.  AT, IBM, IBM PC, and OS2 are registered trademarks of International Business Machines Corporation.  Common User Access, IBM PCAT, IBM PCXT, and IBM PS2 are trademarks of International Business Machines Corporation.  Intel is a registered trademark of Intel Corporation.  Lotus 123 is a registered trademark of Lotus Development Corporation.  GWBASIC, MSDOS, and Microsoft are registered trademarks of Microsoft Corporation.  Presentation Manager and Windows are trademarks of Microsoft Corporation.  UNIX is a registered trademark, licensed exclusively by XOpen Company, Ltd.  XVT is a trademark of XVT, Inc.
Contents
Section 1	
General Description		1
Product Description		2
Section 2	
Release Functionality		5
Introduction		5
New Feature Summary		5
Section 3	
Product Interdependencies		7
Introduction		7
System Software Compatibility		7
Workstation Environment		7
SRP Environment		8
Hardware Information		8
Hardware Configurations Supported		8
Special Hardware Requirements		8
Resource RequirementsUtilization		9
Memory RequirementsUtilization		9
Disk RequirementsUtilization		13
Supplementary Information		13
Invoking OFIS Document Designer		13
Disk and File Maintenance		14
OFIS Document Designer  Cooperating Programs		14
Printing Documents		15
Font Service		16
Levels of Visibility in WYSIWYG mode		18
Section 4	
Migration Requirements		21
Compatibility with Previous Versions		21
Common Compatibility Issues		21
Section 5	
Corrections		23
UCFs Closed in This Release		23
Section 6	
Restrictions and Known Limitations		25
Restrictions		25
Known Errors and Omissions		28
Section 7	
Customer Product Information		31
Documentation		31
Requirement		31
Documentation Corrections		32
OFIS Document DesignerDocument Writer 
Word Processing User's Guide (Menu Interface)		32
OFIS Document DesignerDocument Writer 
Office Publishing User's Guide (Menu Interface)		34
OFIS Document DesignerDocument Writer 
Word Processing User's Guide (Softkey Interface)		36
OFIS Document DesignerDocument Writer 
Office Publishing User's Guide (Softkey Interface)		38
OFIS Document DesignerDocument Writer 
System Administration Guide (Both Interfaces)		41
OFIS Document DesignerDocument Writer 
Reference Card (Menu Interface)		43
OFIS Document DesignerDocument Writer 
Reference Card (Softkey Interface)		43
Section 8	
Support		45
Warranty		45
Support Category		45
Support Discontinuance		46
Section 9	
Ordering Procedure		47
Ordering Software		47
Ordering Manuals		48
Section 10	
List of Files on Product Media		49
Contents of the Distribution Diskettes		49
Style Books		50
Section 11	
Installation Procedure		53
Local Installation (Hard Disk Systems)		53
Remote Installation (Server Hard Disk Systems)		56
Stand Alone Floppy Disk Systems		58
Installation using Installation Manager		59
Required Files		61
How to Change User Interface		62
Section 12	
Error Codes		63
Section 1	
General Description	
This Software Release Announcement describes the version R3.1.100 release of OFIS Document Designer.  This section and the sections that follow provide a description of the product, contents of the Distribution Diskettes, installation procedures, and other information pertinent to this release of OFIS Document Designer.
Unisys publishes Software Release Announcements (SRAs) to announce the release of a new product.  This Software Release Announcement: 
	Provides you with technical details and ordering information on the new product
	Describes interdependency and migration issues 
	Complements marketing, sales, and other customer product information
	Lists additional sources of information
You can order extra copies of an SRA.  For more information, see Section 9, Ordering Procedure, or contact your Unisys representative.
Product Description	
OFIS Document Designer is a sophisticated word processing application which provides capabilities to integrate graphics and text from other applications into documents. OFIS Document Designer is a tool suited for the creation of memos, financial reports, newsletters, manuals, form letters, and other office documents.
OFIS Document Designer represents the merger of the CTOS product, Document Designer, with the BTOS product, OFIS Designer.  This program will compatibly read documents written by either of the predecessor products and will write documents in a newer, merged document file format.  This program can be installed to operate in two user interface modes.  The softkey user interface mode is modeled from the OFIS Designer user interface and the menu user interface mode is modeled from the Document Designer user interface.
OFIS Document Designer is a document management system that allows the user to create and edit documents such as memos, financial reports, newsletters, manuals, form letters, and computer programs, then enter another application program to add additional objects to the text.  Spreadsheets, graphs, pie charts, and voice messages can be entered as part of the text, making OFIS Document Designer a sophisticated tool for a variety of office and personal uses.
OFIS Document Designer operates in two modes.  When using high resolution graphical displays, such as the GCx04 or Super VGA, OFIS Document Designer can be run in WYSIWYG mode.  WYSIWYG stands for What You See Is What You Get.  In WYSIWYG mode, text displayed in its actual size and font (subject to availability of corresponding screen fonts).  Proportional fonts are spaced proportionally on the screen.  Normally it is unnecessary to scroll horizontally when editing pages 8.5 inches wide or less.
Otherwise OFIS Document Designer operates in charactermapped mode.  In charactermapped mode, the entire screen is displayed using a single font.  Text is displayed in a matrix of rows and columns on the screen.  Relative text sizes are not shown, and proportional text is not spaced proportionally.  In order to edit small or proportional type on even narrow pages, it is often necessary to scroll the screen horizontally.  The user may use OFIS Document Designer in charactermapped mode if desired, when running on hardware which supports WYSIWYGmode, by invoking the OFIS Document Editor command.  It may be more convenient and faster to edit unformatted text in charactermapped mode.  
Instructions on how to use OFIS Document Designer are given in the OFIS Document Designer Set of Manuals.  The menu (Document Designer user interface) interface is described in the documentation set with part number 39151303800.  The softkey interface (OFIS Designer user interface) is described in the documentation set with part number 39151295800.  See page 31 of this Software Release Announcement for more information on this documentation set.
Section 2	
Release Functionality	
Introduction	
OFIS Document Designer R3.1.100 is a maintenance release, providing fixes and enhanced functionality to address customer reported problems.    This section discusses functionality that differs from or extends beyond that discussed in the existing manuals and release announcements for prior versions of OFIS Document Designer.
New Feature Summary	
The following capabilities of OFIS Document Designer R3.1.100 are new to users of OFIS Document Designer 3.1:
1.	Mail Application Enabling:  OFIS Document Designer R3.1.100 can be automatically invoked by OFIS Mail 9.0 to view or edit an attachment.  When marking an attachment and pressing the Open softkey in OFIS Mail 9.0, a menu of editing choices is displayed.  If the Word Processor menu option is selected, OFIS Mail 9.0 will invoke OFIS Document Designer R3.1.100 and pass to it the attachment.  If OFIS Document Designer R3.1.100 is already running, the attachment will be passed to it.  In either case, OFIS Document Designer R3.1.100 will open the attachment and display it in a window.  
2.	Variable Ruler User File Option:  The variable ruler function in nonWYSIWYG OFIS Document Designer 3.1 caused problems for users not wanting the new functionality.  Therefore, a user file option  :OFddVariableRuler:yes   is now used to make use of the new feature.  If the entry is no, or no entry is found in the user file, OFIS Document Designer R3.1.100 will have the previous ruler functionality found in the nonWYSIWYG 3.0 version of OFIS Document Designer.
Section 3	
Product Interdependencies	
Introduction	
This section contains:
	Information on interdependent software releases and hardware you need to use with the various functional components in the OFIS Document Designer R3.1.100 package
	Randomaccess memory (RAM) and media sizing requirements
	Information on the supported software release levels of all required products
System Software Compatibility	
Workstation Environment	
For protected mode operation, OFIS Document Designer 3.1 requires:
BTOS II 3.0 or higher	CTOS II 3.3 or higher
CTOS III 1.0 or higher	CTOS III 1.0 or higher
CTOSXE 3.0 or higher

For real mode operation, OFIS Document Designer 3.1 requires 
CTOS I 3.3
If OFIS Document Designer is to be used with Context Manager, the revision level of Context Manager must be compatible with the operating system environment and it is recommended that the Context Manager be installed before OFIS Document Designer.  
The Font Service or Scaling Font Service must be installed to use OFIS Document Designer.  [The Font Service is available with Generic Print System (GPS)].  To print within OFIS Document Designer, it is necessary to install GPS version 2.4 or higher.  To use the duplex printing feature, it is necessary to install GPS version 2.6.  For use of the WYSIWYG screen display feature, it is necessary to install the Screen Font Database 1.4 or higher, or the Scaling Font Service 1.0 or higher.
Refer to OFIS Document Designer  Cooperating Programs on page 15 for a list of  applications that integrate with OFIS Document Designer.
SRP Environment	
OFIS Document Designer is a workstationonly product and uses the XE520 and XE530 only as a server.  The supported software is CTOSXE 3.0 or higher.
Hardware Information	
Hardware Configurations Supported	
OFIS Document Designer 3.1 is supported on the following workstations:
B26	B28	B28	B38	B39

EV, EXP and LCW systems are supported.
	
Supergen Series 1000, 2000, 3000, 4000, 6000 and 7000
The following graphics modules are supported:
GC001, GC003, GCx04, B25GRA, B25GRE, B25VG1, B25VG2, B25VG3, B25VG4, B25AGP1, B25AGP2, CTOS Videocard
The following monitors are supported:
VM001, VM002, VM003, VC002, VC003, VM005, B25D1, B25D2, B25CD3, B25PD7, B25PD8, B25CA1, B25GS1, B25D5G, 
EVG100COL, SVG100COL, SVG201COL, VGA400COL, VGA200MON, VGA931VDM
Special Hardware Requirements	
The voice features of OFIS Document Designer are supported on all workstations with a TM001, VP002 or B25Tel voice processor module.  The voice feature is not supported on the Supergen series.  
The display of graphical objects is supported on workstations equipped with a B25GRA, B25GRE, GC001, GC003 or GCx04 graphics module.  The display of graphical objects is also supported on Supergen series with a CTOS Videocard installed, the NGEN series 286i workstations and workstations equipped with the GC104 option card.  On workstations without graphics, dotted boxes are shown in place of graphical objects.
The WYSIWYG feature is supported on the series B28, B38, or B39 with a GC003 or GCx04 module or a series 286i or 386i workstation.  This feature is also supported on workstations equipped with the GC104 option card and the Supergen series with a CTOS Videocard installed.
Resource RequirementsUtilization	
Memory RequirementsUtilization	
In nonWYSIWYG mode, OFIS Document Designer requires 420K as a bare minimum.  In WYSIWYG mode, a minimum of 500K is required.  More memory may be required, depending upon the length and complexity of edit sessions.  Pagination of long documents, use of Replace with a very large number of replacements, and list processing with large records files, for example, require additional memory.  If OFIS Document Designer exits with an error code of 7649 or 7899, OFIS Document Designer requires additional memory to complete the function.
Better performance is obtained with additional memory.  Additional memory makes more space available for code swapping and allows a larger portion of the disk files being reaccessed to be kept in memory.  Display of documents with graphical objects is much faster when there is more memory available, as OFIS Document Designer needs to write and read less frequently, the temporary files containing the scaled or rasterized images it builds.
Additional memory is required to do spelling checks or hyphenation, in order to load the dictionary run file and data.  Large, medium, and small dictionaries are available, and OFIS Document Designer makes the best choice among these depending upon the amount of memory available.  Larger dictionaries are faster and can correct more typographic errors.
Additional memory is required to print or merge in the background.  Printing is performed in the background by default when there is sufficient memory.  The print menu is immediately removed from the screen and the user can continue editing while the print job is executed in the background.  However, if the Repaginate and Save Pagination Changes options are both set to YES, the documents being printed will not be available until the print job completes. 
If there is insufficient memory to print or merge in the background, printing is performed in the foreground.  If printing to a GPS printer, the PRINT menu remains on the screen, and ten progress boxes appear.  As the transmission of data to GPS proceeds, these boxes are filled in.  No other functions can be performed while this operation is in progress.  The user may cancel the print at any time during this period by pressing CANCEL.  If printing to a direct printer, the PRINT menu is replaced by the PRINTER STATUS menu (with fewer options on it than the normal PRINTER STATUS menu) to allow interaction with the printer.  No other operations can be performed until the print is complete.
Additionally, the user may force OFIS Document Designer to print in the foreground by putting the entry:
:OFDDForceForegroundPrint:Yes
in the .user file.  This should be done in cases where enough memory exists to execute printing in the background, but not enough to allow acceptable performance.  
The long merge to document feature in OFIS Document Designer 3.1 allows approximately 20,000 records to be merged when using foreground merge to document with at least a 1024k partition (approx. 13,000 in an 800k partition).  When using background merge to document, the amount of records merged, (approx. 800) will be comparable to using the OFIS Writer long merge feature.  A new field, Merge in the foreground?, has been added to the MERGE TO A DOCUMENT menu to select foreground merge to document.  This field will be automatically set to Yes if the entry:
:OFDDForceForegroundPrint:Yes
exists in the .user file.  Otherwise, the default is No.  
Note:	The Merge in the foreground? field in the MERGE TO DOCUMENT  menu can be used only to perform a foreground merge when a background merge would normally occur.  If the .user file entry, :OFDDForceForegroundPrint:Yes, exists, this field cannot be used to force a merge in the background.
When the limit of internal resources are detected during a foreground merge to document, the merge will be suspended and a save will be performed.  The merge will then be automatically restarted with an output document specified as the original output document name with .1 appended.  The merge will continue in this fashion, creating output files upon each iteration with successive numbers (e.g. .2, .3, .4).  When using background merge to document, the merge is automatically restarted without a save being performed and the output document is appended with the same numbering scheme as used in the foreground merge to document.  The size of output documents will depend on the size of the memory used in each OFIS Document Designer session.  Since the foreground merge performs periodic saves, the size of the output documents will remain relatively constant, whereas using background merge to document, the size of the output documents will steadily decrease until all internal resources are diminished by the merge.  If this condition occurs, a heap full error is returned and the number of records to skip is retained as in OFIS Document Designer 3.0.  
Background print requires less memory when OFIS Document Designer runs in protected mode than when OFIS Document Designer runs in real mode on B26 workstations, because both foreground and background are able to share the same code overlay zone in protected mode.  
The following table details these memory requirements.  The first column shows the additional amount of memory required for an optional capability, such as background print.  The second column shows the total amount of memory required to perform that optional capability in nonWYSIWYG OFIS Document Designer (or Document Editor).  The third column shows the total amount of memory required to perform that function in WYSIWYG OFIS Document Designer.  
Table 31.  Memory Requirement table
Additional Function	Add	Basic	WYSIWYG
No Additional Function	0K	420K	500K
Background print	220K	640K	720K
Protected mode background print	85K	505K	585K
Voice	16K	436K	516K
Table 21.  3.0 Dictionary Memory Requirement table
Dictionaries:	Small	Medium	Large
American English Dictionary	40K	80K*	95K*
American Legal Dictionary	40K	65K	75K
American Legal + Medical Dictionary	40K	65K	75K
Brazilian Dictionary	50K	65K	80K
British Dictionary	40K	80K*	95K*
British Legal Dictionary	40K	65K	75K
British Legal + Medical Dictionary	40K	65K	75K
British Medical Dictionary	40K	65K	75K
Danish Dictionary	40K	65K	75K
Dutch Dictionary	50K	80K*	95K*
French Dictionary	40K	65K*	80K*
German Dictionary	50K	80K*	95K*
Italian Dictionary	45K	70K*	90K*
Norwegian Dictionary	40K	70K*	80K*
Portuguese Dictionary	50K	70K	80K
Spenish Dictionary	45K	70K*	85K*
Swedish Dictionary	40K	75K*	85K*

* Includes thesaurus
You may need to sum up the additional amounts in the left column to determine the amount of memory you actually need.  For example, if you need to perform both background print and dictionaries in the same session, you must add the relevant additional amounts of each together to the amount of memory required for the WYSIWYG or nonWYSIWYG OFIS Document Designer.  For example, large American English dictionary and background print on a B28 (protected mode) in WYSIWYG mode requires a minimum of 680 (500 + 85 + 95).  If you do not have enough memory in order to do both background print and dictionaries, you will need to save before invoking background print, if you previously did a spellcheck, to unload the dictionary.
If you give OFIS Document Designer a large amount of memory to use in order to satisfy only occasional needs, this extra memory is put to good use.  It will help performance by reducing the number of disk accesses for code or data.  It is available to be used by the print, spell check, review, list processing and display functions as needed.  As it is applied to such dedicated uses, you may notice OFIS Document Designer gradually become more sluggish.  Saving will likely free up enough memory to allow OFIS Document Designer to speed up again.
You can install OFIS Document Designer 3.1 with a partition of up to 1750K, if you have that much memory available, and you are running BTOS 3.1 or CTOS II 3.3 or higher (not on a B26).  With such a large partition you can paginate much larger documents than ever before and perform other functions with large files that were previously not possible.
Disk RequirementsUtilization	
To install OFIS Document Designer you need about 2500 sectors of disk space (about 1.25 Megabytes).
To do basic text editing with OFIS Document Designer you need an additional 500 sectors of disk space for temporary files and 46 sectors for each page of created documents.
Voice annotations require additional disk space; the amount is dependent on the length of the voice annotations.
Object creation requires additional disk space; the amount is dependent on the size of the objects.
Supplementary Information	
Invoking OFIS Document Designer	
OFIS Document Designer can be invoked from the Executive, from Context Manager, CTOS Presentation Manager or directly from signing on.  Consult the OFIS Document Designer: System Administration Manual for information on how to configure your system for each method of invocation.  
Disk and File Maintenance	
Consult the OFIS Document Designer: System Administration Manual for information on temporary files, old files, new files, and other files created by OFIS Document Designer.  This manual also discusses how to:
	Automatically recover a prior session that terminated abnormally
	Make use of old and new files, when automatic recovery is inapplicable
	Recover disk space consumed by temporary files
Note:	None of your work is completed until you issue the Save command from OFIS Document Designer.  Even creation or deletion of files via the DOCUMENTS menu is not carried out until you Save.  If a session is aborted (e.g., by ActionFinish) these files are not created or deleted until you recover the session and Save.  It is important always to close all windows that show files on your floppy disk and Save, before you dismount a floppy disk that has been accessed from OFIS Document Designer.  In addition, if the CHANGE WORK AREA menu is used to change your work area to a directory on a diskette, it is important to issue or reissue the command after the diskette has been mounted.  
OFIS Document Designer  Cooperating Programs	
OFIS Document Designer communicates with Cooperating Programs whose output can be included in OFIS Document Designer documents.  All supported cooperating programs and the lowest supported revision levels include:
OFIS Graphics 2.1	OFIS Imager 1.0	OFIS Spreadsheet 1.1	
OFIS Paint 1.0	Enhanced Multiplan 2.2	
Chart Designer 1.0

Revision levels higher than those listed are also supported.
OFIS Document Designer works with Cooperating Programs in two modes, multicontext and chaining.  In both modes OFIS Document Designer communicates only with invocations of a Cooperating Program it has started itself.  
The multicontext mode requires that both Context Manager and ICMS be installed.  Chaining is not supported when Context Manager is installed.  Refer to System Software Compatibility on page 7 for supported Context Manager revision levels.
In multicontext mode, OFIS Document Designer reads the Context Manager Configuration File for information about which Cooperating Programs are present in this environment.  You have the option when installing the products mentioned above to automatically update the Context Manager Configuration File with the information required by OFIS Document Designer.  
In chaining mode, OFIS Document Designer reads its own configuration file ([Sys]<Sys>DDConfig.sys, or a file specified in the .user file) for information about Cooperating Programs present in the environment.  This configuration file must be edited directly.
Consult the OFIS Document Designer: System Administration Manual for more information on configuring OFIS Document Designer to access Cooperating Programs in either mode.  Maintenance of the required configuration files is discussed in that manual.
Printing Documents	
OFIS Document Designer requires that the Generic Print System (GPS) be installed in order to print documents.  Consult the Generic Print System Software Release Announcement and the Printing Guide in order to install printers to be available to OFIS Document Designer.  The GPS Software Release Announcement also shows what types of printers are currently supported and indicates limits on the capabilities of those devices.
All commands invoked via the PRINT and PRINTER STATUS menus make use of the GPS services.  Many or most error messages and status codes displayed in these menus are explained in the GPS documentation.
Font Service	
Installation of the Font Service (or Scaling Font Service) is required for full functionality of OFIS Document Designer.  Although OFIS Document Designer can operate without the Font Service installed, the Font Menu is unavailable, and it is impossible to ensure that text will print properly, since the character widths used by the print device driver are inaccessible to OFIS Document Designer.  The user is therefore advised against editing or printing formatted files without the Font Service.  
When the status line shows the font family name and size in parentheses, and nothing outside of parentheses, either the Font Service is not installed or the document contains width tables that do not match those from your font database (local fonts).  To localize fonts, PRINT the document, or REVIEW the document specifying the appropriate device type.  This may cause lines and pages of your document to break differently, as width tables from your font database override those which were previously saved with the document.
Two font databases are available for use with the Font Service.  The standard font database (Font.dbs) is supplied as part of the Generic Print System (GPS, version 2.0 or later), and provides the information needed to create and print documents that contain a standard set of fonts to any of the printers supported by Unisys.  Another font database is available, the Screen Font Database (ScreenFont.dbs), which also contains the screen bitmaps for each character for use in WYSIWYG mode.
Scaling Font Service
The Scaling Font Service is interchangeable with the Font Service distributed with GPS 2.0 and later.  It serves the same requests, so only one of the two can be installed on the same system.  The Scaling Font Service has all the capabilities of the standard Font Service, and additionally provides the capability of generating Bitmapped fonts onthefly from any of the 35 font outlines.
The Scaling Font Service is used in place of the standard Font Service and the Screen Font Database.  It is packaged with outlines for 35 fonts and a font database (ScalingFont.dbs) which supports these fonts for WYSIWYG display (up to 76 point) in OFIS Document Designer.  This font database is a superset of the font database distributed with GPS 2.3.  
Note:	It is not possible to use the WYSIWYG feature of OFIS Document Designer without the Screen Font Database or Scaling Font Service.  These are products separate from both OFIS Document Designer and the Generic Print System, and involve special licensing for use.  See the LICENSE AGREEMENT, part number 090127701 with accompanying cover letter for more details.
The Font Service (with its font database) can be installed at the local or server workstation.  To save memory and disk space on the  local hard disk, the user may elect to install the font service exclusively at the server workstation (or SRP).  However, the request set information (Request.9.sys or Request.Gps.txt) provided with the Generic Print System needs to be merged into the Request.sys present at the local workstation.  Installing the Font Service on the local workstation, provided that the font database resides on a local hard disk, reduces cluster traffic and usually improves OFIS Document Designer performance.  Check the memory and disk resources available at the local workstation along with the desired performance levels when making the decision as to where the Font Service is to be installed in each installation situation.
Install the font service as follows:
  Command  Install Font Service		RETURN
  Install Font Service
  [Font Database]	[Sys]<Gps>Font.dbs	GO
  [Bytes of Buffer Space]		
Install the Scaling Font Service as follows:
  Command  Install Scaling Font Service		RETURN
  Install Scaling Font Service
  [Font database ([sys]<gps>Scaling...)]	<gps>ScalingFont.dbs	
  [Bytes of buffer space (8192)]		
  [ of outline cache blocks @64K...]		
  [ of scaled metrics to cache...)]		
  [Name of scaled metrics cache file]		
  [Outline directory ([sys]<gps>)]	[sys]<gps>	GO
See the Software Release Announcement for the Generic Print System (GPS) and the release notice for Screen Font Database or the Scaling Font Service for more information on installation of the Font Service, including recommended parameters.
Levels of Visibility in WYSIWYG mode	
In WYSIWYG mode, changing the level of visibility (via CODEV) has some effects and use which do not apply to OFIS Document Designer in a charactermapped environment.  At the lowest level of visibility, the closest match of the screen to the printed page is obtained.  At higher levels of visibility, discrepancies between the printed page and the display are allowed, when these discrepancies make it easier to edit the text.
At the lowest level of visibility, lines may overlap on the screen.  It is impractical to edit lines of text which overlap on the screen by a significant amount.  The cursor may skip lines or jump from one line to the next in this situation.  Use CODEV to edit such text.  At higher levels of visibility, lines are spread apart so that they do not overlap.
Because the screen representation of characters includes space for caps and for lowercase letters that descend below the base line, it is not always obvious to the user that text lines are overlapping.  Conditions that cause overlap include: superscript or subscript characters, basetobase spacing less than the point size of any of the individual characters in a paragraph, or use of a larger screen font to represent a smaller printer font.  
At the lowest level of visibility, proportional text may appear to wiggle when typing characters at the end of a line.  Widths of characters in screen fonts cannot exactly match the width of characters in printer fonts, because of differences in device resolution.  At the lowest level of visibility, text is forced on the screen to fit to the actual amount of space it will occupy on the printout.  Words andor individual characters are squeezed together or stretched apart in order to make the text fit.  As each new character is added to a line, the amount of adjustment required between characters changes, causing them to wiggle.
Use CODEV when this wiggling becomes annoying.  At higher levels of visibility, text is allowed to layout at its natural screen width.  Therefore text does not wiggle while typing.  It is easier to read the text, as well.  However, at higher levels of visibility, you cannot rely on the screen to show the true print width of the text.
Even at higher levels of visibility, OFIS Document Designer does not allow text to extend past the right margin or indent of a paragraph, in WYSIWYG mode.  If the screen font sets are much wider than the printer font, text starts to be squeezed together when the cursor reaches the right indent.
Documents printed to a PostScript printer often exhibit the effects of squeezing characters together, since Times and Helvetica fonts on PostScript printers are much tighter than they do on Imagen or LaserJet printers, especially at smaller point sizes.  Also the use of larger screen fonts to represent smaller printer fonts exhibits these effects.  The smallest screen fonts in the Screen Font Database are 7 point.  If 5 or 6 point fonts are selected, they are displayed using 7 point fonts, exhibiting the behaviors discussed in this section.  Use of the Scaling Font Service instead will greatly minimize these problems.
Section 4	
Migration Requirements	
Compatibility with Previous Versions	
Common Compatibility Issues	
When the program is run without a valid command case, it now automatically resumes the prior session.  This change is to insure that the same user interface (softkey or menu) is used as in the prior session.
PWP, SWP, OFIS Writer, and OFIS Designer 1.0 phrase files, when selected or named as the phrase file in OFIS Document Designer 3.1, will have its older stop codes 04(Hex) converted to the new style stop codes 1B(Hex).  This conversion will become permanent if the phrase file is large enough to cause a save to occur during conversion.  For this reason, it is recommended to save a copy of the older phrase file before using it as a phrase file in OFIS Document Designer 3.1.  Stop codes will not be converted if the phrase file is accessed by the phrase absorb function.
User file entries for previous versions are readable by OFIS Document Designer 3.1.  The precedence used when reading these file entries are determined by the prefix.  Allowable prefixes include OFDD, OFd, Dd, and Wp.  Precedence is taken in the same order.  For example, if the user file contained:
:OFDDForceForegroundPrint:Yes
:OFdStatistics:[sys]<statistics>myStats
:OFdTemplateDocument:[sys]<tpt>letter.tpt
:DdPhraseFile:[sys]<ofd>Shared.phrases
:WpFtntSeparation:5
:WpForceForegroundPrint:No
:WpPhraseFile:[sys]<wp>ow.phrases
:WpDictionary:[sys]<sys>Wp.Correct
From these entries, OFIS Document Designer 3.1 would use the following:
:OFDDForceForegroundPrint:Yes
:OFdStatistics:[sys]<statistics>myStats
:OFdTemplateDocument:[sys]<tpt>letter.tpt
:DdPhraseFile:[sys]<ofd>Shared.phrases
:WpFtntSeparation:5
:WpDictionary:[sys]<sys>Wp.Correct
Section 5	
Corrections	
UCFs Closed in This Release	
The following UCF's and their associated PLE's are fixed in 
OFIS Document Designer R3.1.100:
PLE 	UCF s

15297565	31118603
31203091
42927813
52438446
72054911
72054911
72057945
73224560
74572812
75133677

15859652	77898529



16046108	43115219
43115464



16048071	26462789



16053902	26502080


16057207	26501971
26514819
52243769
77842312
77853056
77865218
77867490
16059889	26504953


16088978	26513839
26544556


16089761	77855469
77857377




16091570	26516277
26535646

16104311	26511399
31246997
52343739
21521345

16124800	26528593
26529697
31246652
77874616

16133418	26531578
77886315

16136085	26532329


16136832	26532302

16143961	31252172
77885175

16159034	26535077


16190578	26552311


16215937	26561132
Description

Using the softkey interface and printing long documents in the foreground sometimes causes the print menu to be redisplayed.








When an existing paragraph heading is copied and a review is performed with Regenerate table of contents set to yes, an erc 7896 occurs.

If the directory <Wp> does not exist and the option to delete old command and run files is chosen while installing from the server, the install aborts with an error 204.

When using DCA within a macro, an erc 1335 occurs when chaining back to OFIS Document Designer.

Dots appear in the far left and far right softkey strips.

Spellcheck hangs when cancelling the Set Word Traits menu in the softkey interface.




Help for the print menu does not describe duplex printing.

When pressing the cancel key during hyphenation, OFIS Document Designer exits with an erc 7894. 

Text that is marked revision added and printed in the background with view revisions set is printed with double underscore and struck through.

Codebackspace deletes all consecutive underlined words.

The variable ruler implementation makes it hard to navigate in columns with many different point sizes.


Manual corrections are not accepted.




In the softkey interface, the spellcheck hangs when cancelling the Set Word Traits menu.

OFIS Writer Phrase files with stop codes do not invoke form fill when converted.

Large OFIS Writer Phrase file will not covert.

Outline indent numbering scheme is lost when hitting codetab then go.

Nationalized comma separator in macro substring does not work.

External function call from a macro returns an erc 80.

Intermittent 604 errors occur in softkey interface.
Section 6	
Restrictions and Known Limitations	
Restrictions	
A user may not resume or recover the first OFIS Document Designer session after an installation.  This is because the typescript file that was created by an old version of OFIS Document Designer can not be used by the current version.
The font family of text will not change when a character style is updated, if that text had (at the time it was last saved) any fontrelated style exception (family, point size, bold, or italic).
Use a page style created from a synch column mark only on synch column marks.  It is not possible to change the break type of a page or column mark via style control.  Synch column styles can be best used to automatically change the respective column widths of text already in synch columns, when the number of columns remain the same.
Beware that when style control is disabled in a document, text which is copied from another document obtains the definition of any styles referenced in that text from the source document, until a save is done.  If the style in the source document is modified (e.g., through Update styles), the format attributes of copied text in the document in which style control is disabled also changes.
The performance of OFIS Document Designer becomes better as it is provided with more memory in which to run.  If you have a system with 2 megabytes or more of memory, you may decide to change your Context Manager configuration file, so that OFIS Document Designer runs in a partition with sufficient memory to meet your performance needs.  The actual size you need depends on your system configuration, the features you use, the type of display you use, the level of performance you demand, etc.  Please refer to the Memory Requirements section on page 9 of this document.
Attempting to review or print a very large document may cause OFIS Document Designer to exit with error code 7899, indicating that there is insufficient memory to paginate this document.  If this occurs and you cannot run OFIS Document Designer in a larger partition, split the document in half, and review each half individually, using forced page numbers as appropriate. 
OFIS Document Designer does not support operating on user files in temporary directories (<$>).  User files should be in other directories.
There is no way to literalize the '*' or '?' characters in the open document command.  They always behave as wildcards.
An error in a macro may sometimes be reported on the statement following the line that contains the error.  The user should look at both the reported macro instruction and the preceding instruction when an error is reported while loading a macro from a file.
Cooperating programs started during a OFIS Document Designer session cannot pass objects back to OFIS Document Designer once the original OFIS Document Designer session ends.  If, for example, while in a cooperating program, the user context switches back to OFIS Document Designer (using ACTIONGO), then executes one of the EXIT commands under CODEF7, then returns to OFIS Document Designer, subsequent return from the cooperating program will not send back an object.
Image Designer objects are displayed negative on low resolution screens and high resolution color screens, as are all text and graphics.  Dithered images (pictures with gray values) may be less recognizable when displayed negative.  The codeshiftz command can be used to switch the background color to white, correcting this problem.
Occasionally, in WYSIWYG mode, the  command doesn't work at the right end of a line of text.  (The cursor appears to stick).  Use shift following by  in order to position the cursor.
In WYSIWYG mode, each individual character is not positioned to represent the correct horizontal position on the print out.  Instead text is pinned to the correct print position:
	at the beginning of each line of text;
	at a tab stop to which text is aligned;
	at the beginning of each word, when a line is justified;
	at the right margin or indent, when a line is justified;
	at the end of an unjustified line, if at lowest level of visibility;  (See section 10.7 Levels of Visibility in WYSIWYG mode, for more about this case)
	at any point in the line in which the displayable attributes of text (such as font, underlining, superscript, etc.) changes.
When characters are marked within a line, text before and after the selection are pinned to the print position, since the selection introduces an attribute change (reverse video).  Since marking and unmarking text introduces and removes points at which text is pinned to the print position, text shifts horizontally.  The amount of shifting is large when the screen font displayed does not match the print font selected very well.  This shifting is greatest at higher levels of visibility, in which the right edge of unjustified lines is not positioned to the print position.
An aborted OFIS Document Designer session can be successfully recovered only if all relevant environmental factors are unchanged.  Many of these environmental factors are explicitly checked before recovery, and the user is prevented from recovering if these have changed.  These include the presence of graphics hardware, the type of video, the availability of the Font Service, and whether the product has been invoked in a manner and environment which entails WYSIWYG operation.  If the presence of the Context Manager is changed, you are warned against recovering, unless  you know that the aborted session did not involve the use of cooperating programs.  Other environmental factors are not verified prior to recovery, such as the presence of files that were in existence prior to the aborted session and which were accessed during that session.
When a text object is integrated into a document, OFIS Document Designer may scale the text in a way that cannot be represented correctly on some printers with restricted linespace control.  The lines of text may overlap on the printout.
Stop codes and redlining are not transferred into DEF format.  If the DEF file is changed into a document again, these items are lost in translation.
Known Errors and Omissions	
If GPS or GPS requests are not installed on a workstation using OFIS Document Designer, and the operating system is CTOS 3.3 or greater, OFIS Document Designer will return to the executive with an erc 31 (no such request code) or 33 (service not available).
When performing a nonselective sorted list of a phrase file containing over 1200 phrases, OFIS Document Designer will exit with a 7898 error.  When listing over 1200 phrases, it is advisable to select Unsorted list.
In the softkey interface, if the redline visibility is changed and the Undo softkey is pressed twice, OFIS Document Designer will exit with a 7894 error.
In order to recognize many different character sets defined at the operating system level, (e.g. Greek keyboard support), changes have been made in OFIS Document Designer 3.1 to process keyboard input in an encoded manner.  Because of this change, the K5 keyboard DelChar key, the Mark and Bound and the softkeys for all keyboards no longer repeat.  These keys can be made to repeat by customizing [Sys]<sys>Nls.sys or [Sys]<sys>NlsKbd.sys.  Please refer to the Ctos Programming Utilities Reference Manual:Customization for guidelines on customizing the appropriate keyboard table.  
OFIS Document Designer may not be able to review, print or DEF documents with excessive redline.  Use the copy feature from within OFIS Document Designer to create a copy of the document without redline to resolve this problem.
The following known problems have been deferred:
PLE 	UCF s

15805056		26421144


15833122		26422698





15869879		26438420






15915536		77771242


15971754		


Description

Erc 422 is returned when a print job is issued immediately after a print job is cancelled.  

If a tab key is pressed when the cursor is positioned to the right of all tab stops and the line is word wrapped, the tab key must be pressed a second time for the text to align on the tab stop of the following line.

Erc 1347 returned during a merge if the form contains a phrase word surrounded by two keywords and the first or last keyword is the same word as the phrase word.  It is not advisable to use keywords and phrase words with the same name in the same document.

Listing of files in a customer provided directory results in only 8 lines displayed.

If pathed to a different node than the local node, you cannot open files on a volume other than the volume specified in the path.
Section 7	
Customer Product Information	
Documentation	
Requirement	
There are two sets of manuals for OFIS Document DesignerOFIS Document Writer.  One describes the menu interface and the other describes the softkey interface.  Use the following information to order manual sets:
The OFIS Document Designer Manual Set Menu Interface (39151303800) contains these titles:
0902663	Word Processing User's Guide
0902665	Office Publishing User's Guide
0902668	Getting Started with OFIS Document Designer
0902666	System Administration
0902673	Quick Reference Card
The OFIS Document Designer Manual Set Softkey Interface (39151295800) consists of these titles:
0902662	Word Processing User's Guide
0902664	Office Publishing User's Guide
0902670	Getting Started with OFIS Document Designer
0902666	System Administration
0902658	Quick Reference Card
Documentation Corrections	
The following are corrections to the manuals documenting OFIS Document DesignerOFIS Document Writer 3.0.  The PLE  headings refer to the Problem List Entry number, the Page  headings refer to the page of the manual where each problem occurs, and the Correction headings refer to the solutions to the problems.
OFIS Document DesignerDocument Writer 
Word Processing User's Guide (Menu Interface)	
PLE 	Page 	Correction
15864095	28	The description of the Sort by field of the List Documents menu is wrong.  If you select the Dates option, the files will be listed according to the dates when they were last revised, not according to the dates when they were created.
15861096	28	Regarding the Dates and Everything options of the Details field in the List Documents menu, if you print a file without opening it first, the date printed information is not updated.
15612444	37	If you have a keyboard that includes the dedicated function keys COL, PAGE, PARA, and so forth, the corresponding choices do not appear on the Incremental Jump menu.  Simply press the appropriate special key instead of a function key to select each choice.  For example, to jump forward a sentence, you would press CODESHIFTF1 to display the Incremental Jump menu, and then press the SENT key (not the F2 key).
15679158	38	The Jump to Line  command (F10) is primarily for use with unformatted files, such as CTOS Editor files, in which each line is separated by a shiftreturn.  If all the lines of your document are not separated by shiftreturns, the command may not move the cursor where you want it to.
15612444	55	If you have a keyboard that includes the dedicated function keys COL, PAGE, PARA, and so forth, the corresponding choices do not appear on the Incremental Mark menu.  Simply press the appropriate special key instead of a function key to select each choice.  For example, to mark a sentence, you would press CODESHIFTF10 to display the Incremental Mark menu, and then press the SENT key (not the F2 key).
	818	The basic line spacing options, such as singlespaced, doublespaced, and so forth, are designed for 12 point text.  For example, if you apply the doublespaced attribute to a paragraph, the lines of the paragraph are assigned 24 points of basetobase leading regardless of the point size of the text in the paragraph.  This may cause problems if you are using very large or very small fonts.
	93	Presently, lines 6 through 8 of Figure 92 read as follows:

[Top margin]
[Text width]
[Bottom margin]

		This is incorrect.  Lines 6 through 8 should read:

[Top margin]
[Text height]
[Bottom margin]
15910569	1111	You can type a maximum of 10 file names in the Document name(s) field of the Print menu.
15896094	135	The explanation of canceling a Replace operation needs clarification.  If you cancel a Replace operation, all of the replacements you made are discarded unless you set the Confirm each field to Yes in which case all of the replacements you made before you canceled the command are left intact.
15828161	157	When you recall a phrase with the Retain attributes field set to Yes, all of the attributes of the phraseits font family, the point size, and whether it is plain, bold, or italicare retained.
		When you recall a phrase with the Retain attributes field set to No, all of the attributes of the phraseits font family, the point size, and whether it is plain, bold, or italicare changed to match those of the surrounding text it is recalled into.
	156	When the Expand embedded phrases field of the Recall Phrase menu is set to Yes, only embedded phrases within the phrase you are recalling are expanded.  To expand all the embedded phrases in your document, follow the procedure on page 1515.
		The same is true of the Expand embedded reserved keyword field of the Recall Phrase menu.  To expand all of the embedded keywords in your document, follow the procedure on page 1517.
15704322	165	The list of style insensitive page formatting attributes is incomplete.  The following should be included:
		Serpentine or Synchronized Columns.  You can use style control to resize or format existing serpentine and synchronized columns, but you cannot create columns using style control.
OFIS Document DesignerDocument Writer 
Office Publishing User's Guide (Menu Interface)	
PLE 	Page 	Correction
15363703	22	You cannot make anchor characters out of stop code prompts or characters in headers, footers, or footnotes.
15808519	39	Note:  If you convert an OFIS Designer 2.X document to OFIS Document Designer 3.0 format, the default spacing for all box and rule lines is zero, not .05 and .1.
15865032	310	If you set the box and rule attributes of paragraphs such that they overlap, some of the boxes and rules may be obscured when you print your document.  Which boxes and rules are obscured depends on what kind of printer you are using and the order in which the paragraphs appear on the page.
15400439	311	When you set vertical tabs in a paragraph, the corresponding vertical rules will not print unless you box the paragraph using box and rule.
15400498	66	Step 4 of the example Page 1 of X says to press CODEF3I to insert the page reference in the header or footer.  This is incorrect.  Instead, you should press CODEF3, C, I.
16144037	710	Spacing between individual footnotes on a page will always be double line spacing.
15534401	917	Attributes, such as bold and italic text, in a record file are not retained when you merge the record file with a form.
	1026	The Secondary sort field field of the SortSelect menu should be blank.
	1027	Step 4 of the procedure says you can specify a keyword in the Secondary sort field field to sort subentries underneath main entries.  This is not true.  If you have several subentries underneath a main entry, they are not sorted.  
		Main entries that are spelled the same, however, will be sorted according to the first subentry that appears below each main entry.  For example, the first Rutabaga main entry is sorted before the second Rutabaga main entry because, alphabetically, the subentry Chocolate comes before the subentry Old.
Rutabaga
	Chocolate
	Vanilla
	Strawberry
	Blueberry
Rutabaga
	Old
	Musty
	Aging
	111	Redlining can take up alot of space on your hard disk.  If you use redlining often, be sure to monitor how large your OFIS Document Designer files are from time to time.  
		For more information on checking the size of a file, see the CTOS Executive User's Guide.
15414707	116	Step 5 of the procedure says to press CODEF3 R to display the Redlining menu.  This is incorrect.  Instead, you should press CODEF2 R to display the Redlining menu.
15690461	1117	When using the Copy Document menu to copy a redlined document, a copy of the current version of the old document is made and the new document no longer contains a redline history.  The new document has redline enabled and the version is set to 1.  If changes are made to the new document, the revisions can be viewed by selecting View revisions since original in the View Revisions menu.
	121	The use of quotation marks in the section is often incorrect.  Single, not double, quotation marks should be used in the following macro commands:
		   Typing (p. 1215 and 1252)
		   Message (p. 1216)
		   AllowOperatorInput (p.1216)
		   If Operator Choice (p. 1219)
		   Diacritical (p. 1250)
		   SetChoice (p. 1252)
		Note that unlike the commands noted above, you must use double quotation marks with string variables.
OFIS Document DesignerDocument Writer 
Word Processing User's Guide (Softkey Interface)	
PLE 	Page 	Correction
15612444	xxvii	If you have a keyboard that includes the dedicated function keys COL, PAGE, PARA, and so forth, the corresponding choices do not appear on any of the softkey strips.  Simply press the appropriate special key instead of a function key to specify the proper unit of text.  For example, to mark a sentence, you would place the cursor in the sentence, press MARK to display the Mark softkey strip, and then press the SENT key (not the F2 key).
15864095	29	The description of the Sort by field of the List Documents menu is wrong.  If you select the Dates option, the files will be listed according to the dates when they were last revised, not according to the dates when they were created.
15861096	29	Regarding the Dates and Everything options of the Details field in the List Documents menu, if you print a file without opening it first, the date printed information is not updated.
15679158	38	The Jump to Line  command (F10) is primarily for use with unformatted files, such as CTOS Editor files, in which each line is separated by a shiftreturn.  If all of the lines of your document are not separated by shiftreturns, the command may not move the cursor where you want it to.
	818	The basic line spacing options, such as singlespaced, doublespaced, and so forth, are designed for 12 point text.  For example, if you apply the doublespaced attribute to a paragraph, the lines of the paragraph are assigned 24 points of basetobase leading regardless of the point size of the text in the paragraph.  This may cause problems if you are using very large or very small fonts.
	92	Presently, lines 6 through 8 of Figure 91 read as follows:

[Top margin]
[Text width]
[Bottom margin]

		This is incorrect.  Lines 6 through 8 should read:

[Top margin]
[Text height]
[Bottom margin]
15779772	1019	The instructions in Steps 5 and 6 of the procedure are incorrect.  They should read as follows:
		5.	Mark the line.  (For more information on marking text, see Section 5, Working With Blocks of Text.)
		6.	Press Attribt (F10), Underln (F3), On (F9) to create the underline.
15910569	1111	You can type a maximum of 10 file names in the Document name(s) field of the Print menu.
15896094	135	The explanation of canceling a Replace operation needs clarification.  If you cancel a Replace operation, all of the replacements you made are discarded unless you set the Confirm each field to Yes in which case all of the replacements you made before you canceled the command are left intact.
	155	When the Expand embedded phrases field of the Recall Phrase menu is set to Yes, only embedded phrases within the phrase you are recalling are expanded.  To expand all the embedded phrases in your document, follow the procedure on page 1514.
		The same is true of the Expand embedded reserved keyword field of the Recall Phrase menu.  To expand all the embedded keywords in your document, follow the procedure on page 1517.
15828161	156	When you recall a phrase with the Retain attributes field set to Yes, all of the attributes of the phraseits font family, the point size, and whether it is plain, bold, or italicare retained.
		When you recall a phrase with the Retain attributes field set to No, all of the attributes of the phraseits font family, the point size, and whether it is plain, bold, or italicare changed to match those of the surrounding text it is recalled into.
15704322	165	The list of style insensitive page formatting attributes is incomplete.  The following should be included:
		Serpentine or Synchronized Columns.  You can use style control to resize or format existing serpentine and synchronized columns, but you cannot create columns using style control.
OFIS Document DesignerDocument Writer 
Office Publishing User's Guide (Softkey Interface)	
PLE 	Page 	Correction
15363703	22	You cannot make anchor characters out of stop code prompts or characters in headers, footers, or footnotes.
15808519	39	Note:  If you convert an OFIS Designer 2.X document to OFIS Document Designer 3.0 format, the default spacing for all box and rule lines is zero, not .05 and .1.
15865032	310	If you set the box and rule attributes of paragraphs such that they overlap, some of the boxes and rules may be obscured when you print your document.  Which boxes and rules are obscured depends on what kind of printer you are using and the order in which the paragraphs appear on the page.
15400439	311	When you set vertical tabs in a paragraph, the corresponding vertical rules will not print unless you box the paragraph using box and rule.
15400471	78	Under the discussion Finding Footnote References, the manual says to press I if you want to edit the found footnote reference and S if you want to search for the next footnote reference.  This is incorrect.  Instead, you should press F2 to edit the reference and F1 to search for the next reference.	
16144037	710	Spacing between individual footnotes on a page will always be double line spacing.
15534401	917	Attributes, such as bold and italic text, in a record file are not retained when you merge the record file with a form.
15400463	933	Substep a underneath step 5 says you should press Page (F5), Format (F5) to display the Page Attributes menu.  This is incorrect.  Instead, you should press Page (F5), PgAttr (F10).
	1027	The Secondary sort field field of the SortSelect menu should be blank.
	1028	Step 4 of the procedure says you can specify a keyword in the Secondary sort field field to sort subentries underneath main entries.  This is not true.  If you have several subentries underneath a main entry, they are not sorted.  
		Main entries that are spelled the same, however, will be sorted according to the first subentry that appears below each main entry.  For example, the first Rutabaga main entry is sorted before the second Rutabaga main entry because, alphabetically, the subentry Chocolate comes before the subentry Old.
Rutabaga
	Chocolate
	Vanilla
	Strawberry
	Blueberry
Rutabaga
	Old
	Musty
	Aging
	111	Redlining can take up alot of space on your hard disk.  If you use redlining often, be sure to monitor how large your OFIS Document Designer files are from time to time.  
		For more information on checking the size of a file, see the CTOS Executive User's Guide.
15690461	1117	When using the Copy Document menu to copy a redlined document, a copy of the current version of the old document is made and the new document no longer contains a redline history.  The new document has redline enabled and the version is set to 1.  If changes are made to the new document, the revisions can be viewed by selecting View revisions since original in the View Revisions menu.
	1261	SetChoice Y should read SetChoice 'Y'.
OFIS Document DesignerDocument Writer 
System Administration Guide (Both Interfaces)	
PLE 	Page 	Correction
15715928	xviii	The guide does not explain password protection.  
		Password Protection
		Password protection is available in CTOS OFIS Document Designer.  To decide what protection level to use, you should consider the interaction between OFIS Document Designer and the CTOS operating system.  You use CTOS in conjunction with Document Designer when assigning passwords and their related protection levels. 
		For more information on passwords, see the CTOS System Administration Guide.
		Password Protection Hierarchy
		Passwords function in a hierarchical manner.  You can assign passwords to any combination of file specification levels (for example, to a volume, to a file, or to a volume and a file).  But you must assign passwords hierarchically for them to be effective.  For a directory password to be effective, the volume the directory resides in must also be assigned a password.  For a file's password and protection level to be effective, the directory the file resides in and the volume the directory resides in must be assigned passwords.
		OFIS Document Designer Password Protection Levels
		OFIS Document Designer uses a total of six password protection levels, as shown in the table on the next page.  Note that level 15 is the unprotected level that is assigned by default to a directory, volume, or file when you create it.
		General Rules for All Protection Levels
		As always, you should be careful when assigning passwords or you might overprotect your files.  For example, if you assign a protection level of 0 to your <Sys> directory, you will need a password just to boot your workstation.
		Also, if you create an unprotected directory and unprotected files within that directory, any protection level you assign to that directory later on will apply to those formerly unprotected files.
		OFIS Document Designer Rules for Protection Levels
		If you assign a protection level of 5 to a directory, users who do not know the password must enter N for No in the Allow Changes field of the Open Document menu in order to open files in that directory.
		When you edit a file in OFIS Document Designer, its old and new versions have the same password as the base file.
Protection and Access Levels
Protection	Password Level	Description
Level	   Required
	To Read	To Modify
15
none
none
Unprotected.  No password required to read or modify a file.
7
none
Volume, Directory, or File
Modify password.  No password is required to read the file.
51
Volume or File
Volume or File
Nondirectory password.  
23
none
Volume or File
Nondirectory modify password.
5
none
Volume or Directory
Modify protected.
0
Volume or Directory
Volume or Directory
Maximum protection.
15479752	
and 15783575
114	
The configuration parameter :OFDDStyle Book:[Sys]<Stylebooks>OFDD.styles should not have a space in it.  Also, the default style book selected at the beginning of every session is in the <Sys> directory, not the <Stylebooks> directory.  
Thus, the first line on page 114 should read as follows:

:OFDDStyleBook:[Sys]<Sys>OFDD.styles 
And the third and fourth lines should read as follows:

By default, OFIS Document Designer selects the style book [Sys]<Sys>OFDD.styles at the beginning of every session.	
OFIS Document DesignerDocument Writer 
Reference Card (Menu Interface)	
PLE 	Correction
15705264	The command for moving the cursor to selected text is CODEL, not SHIFTL.
	SHIFTUP ARROW and SHIFTDOWN ARROW move the cursor four lines up or down, not three.
	SHIFTSCROLL UP and SHIFTSCROLL DOWN move the cursor six lines up or down, not four.
OFIS Document DesignerDocument Writer 
Reference Card (Softkey Interface)	
PLE 	Correction
	SHIFTUP ARROW and SHIFTDOWN ARROW move the cursor four lines up or down, not three.
	SHIFTSCROLL UP and SHIFTSCROLL DOWN move the cursor six lines up or down, not four.
Section 8	
Support	
Warranty	
OFIS Document Designer R3.1.100 is a warranted Unisys software product.    
Unisys warrants that OFIS Document Designer R3.1.100, in its unaltered form, will substantially conform to Unisys current published functional specifications when used in Unisys supported configurations.  The customer is responsible for reporting suspected deviations using the User Communication Form (UCF) process within ninety (90) days following delivery.  The product is neither field repairable nor field modifiable.  Corrections to reported deviations are provided to the user via updated code files.
This standard warranty is not a substitute for Unisys Service Agreement offerings.
Support Category	
OFIS Document Designer 3.1 is fully supported by Unisys.
Support services for OFIS Document Designer 3.1 are offered under the SURETY (United States) or A la Carte (International) support programs and are consistent with the support services offered for the entire CTOS Hardware and Software family of products.
Unisys SureNet is an electronic bulletin board service, providing customers in the United States access to technical information seven days a week, 24 hours a day.  SureNet Technical Information Services are available at no additional cost to customers with a current Unisys service agreement or software license and include access to system alerts, customer technical bulletins and online UCF entry.  Registration is required.  SureNet Support Services are available on an annual subscription basis.  For more information, contact Unisys Direct at 18004481424, prompt 5.  You may register for Technical Information Services andor Support Services either online (by dialing 18008288796 (8 data bits, 1 stop bit, no parity, asynchronous, VT100 emulation) or by calling Unisys Direct.
If you need further assistance or information regarding support services, please contact your Unisys representative or your local Unisys office.
Support Discontinuance	
UNISYS supports the current release level and one level back.  Prior levels are not supported.
Section 9	
Ordering Procedure	
Ordering Software	
This Software Release Announcement describes the R3.1.100 release of OFIS Document Designer.  OFIS Document Designer is delivered on either 514 inch or 312 inch disks.  The table below lists the orderable software packages for OFIS Document Designer R3.1.100.
If an Update Service Request is attached to your copy of this Software Release Announcement, you can order the software by completing and returning the form.  Media provided by Unisys Corporation may not be returned for credit.  If no Update Service Request is attached, you can order additional copies of the software by contacting your Unisys representative.
	
Package Description
Style ID
	
Initial singleuser package (software and documentation)
NP25DD3
Initial perseat authorization for each additional user (license only)
ML25DD3
	
Upgrade for a singleuser package (software and documentation)
UP25DD3
Upgrade for a perseat authorization (license only)
UL25DD3
	
	
Package Description
Style ID
	
Upgrade for a classic standalone workstation package (software and documentation)
SB25DD3
Upgrade for a classic workstation cluster package (software and documentation)
MB25DD3
Upgrade for a classic shared resource processor cluster package (software and documentation)
XB25DD3
	
Ordering Manuals	
You can order manuals from the following address:
Unisys Corporation
Publications Distribution Center
13250 Haggerty Road North
Plymouth, Michigan 48170
Section 10	
List of Files on Product Media	
Contents of the Distribution Diskettes	
The OFIS Document Designer Distribution Diskettes are your master copies, and have been shipped writeprotected.  They should not be writeenabled, nor should they be used as working copies.  The following list is the contents of the 5 inch floppies:
Distribution diskette (1 of 4):
Directory <Sys>
CopyStyle.sub
DeleteOld.sub
HdInstall.sub
Install.ctrl
Install.jcl
Install.sub
InstallDD.sub
Directory <sra>
OFDd.sra
Directory <Unisys>
Convergent
Cow.pic
LostPet
OFDD.01
OfdMsg.bin
OFDOldDD.files
OFDOldSample.files
Prog132
Prog80
Simple
Standard
Style.files
TwoColumns
Unisys
Distribution diskette (2 of 4):
Directory <Unisys>
OFDD.02
Distribution diskette (3 of 4):
Directory <Unisys>
OFDD.03
Distribution diskette (4 of 4):
Directory <Sys>
DDCmInstall.sub
DEF.run
DEFMsg.bin
DEFUtil.info
InstallCmds.sub
InstallDEF.sub
InstallOpStat.sub
OpStatsOFD.run
Files OFDD.010203 contain the OFIS Document Designer run file.  

The following list is the contents of the 3 inch floppies:
Distribution diskette (1 of 2):
Directory <Sys>
CopyStyle.sub
DeleteOld.sub
HdInstall.sub
Install.ctrl
Install.jcl
Install.sub
InstallDD.sub
Directory <sra>
OFDd.sra
Directory <Unisys>
Convergent
Cow.pic
LostPet
OFDD.01
OfdMsg.bin
OFDOldDD.files
OFDOldSample.files
Prog132
Prog80
Simple
Standard
Style.files
TwoColumns
Unisys
Distribution diskette (2 of 2):
Directory <Unisys>
OFDD.02
Directory <Sys>
DDCmInstall.sub
DEF.run
Directory <Sys>
DEFMsg.bin
DEFUtil.info
InstallCmds.sub
InstallDEF.sub
InstallOpStat.sub
OpStatsOFD.run
Files OFDD.0102 contain the OFIS Document Designer run file.  
Style Books	
The files in the <Stylebooks> directory are model style books to be used with the style control facility.  They are used as follows:
Standard	Identical to [sys]<sys>Ofdd.styles, the default style book.  It defines the default (unnamed) styles only and is equivalent to the Dd.fmt or Ofd.fmt format sets distributed with prior releases.  It uses 8.5 x 11 inch paper, with 1 inch margins, and singledouble spaced paragraphs.
Prog80	Defines the default (unnamed) styles only and is equivalent to the DdProg80.fmt or OfdProg80.fmt format sets distributed with prior releases.  It uses narrow margins and tab stops every .4 inches.
Prog132	Defines the default (unnamed) styles only and is equivalent to the DdProg132.fmt or OfdProg132.fmt format sets distributed with prior releases.  It uses wide paper (suitable for viewing text in zoomed charactermap mode) and tab stops every .8 inches.
Convergent	Defines a full complement of named styles corresponding to the style for manuals produced by Convergent.  It uses Helvetica and New Century Schoolbook fonts.
Unisys	Defines a full complement of named styles corresponding to the style for manuals produced by UNISYS.  It uses Helvetica and New Century Schoolbook fonts.
TwoColumn	Defines a full complement of named styles useful for printing a manual in two column format, in order to reduce the amount of paper used approximately by half.  It uses Helvetica and New Century Schoolbook fonts.
Simple	Defines a full complement of named styles useful for printing a manual on a dot matrix printer or line printer with limited font capabilities.  It uses 12 point Courier throughout.
The last four style books define largely the same style names, so that a document created using one of these style books can be reformatted with any of the others.
Using the style control facility you can define your own style books or modify those supplied with the product.  
Format sets are no longer used by the product.
Section 11	
Installation Procedure	
OFIS Document Designer should be used only on Unisys (or Convergent) BCTOS Information Processing Systems which are equipped with hard disk, or in clusters where the server is equipped with hard disk.
Use the installation procedures described below (after updating the Standard Software revision level, if required).  Characters that you must type are shown in boldface.  Special keys, such as RETURN and GO, are shown in upper case.
The following information explains how to install OFIS Document Designer on three types of systems:
	Standalone and cluster workstations with hard disks
	Server hard disk systems
	Shared Resource Processor systems
Local Installation (Hard Disk Systems)	
A local installation is used for standalone workstations and cluster workstations where it is desired to have the OFIS Document Designer command and run file installed on that workstation.  If the command and run file are to be put on the server (as in an SRP server or for use with diskless workstations), see the following section on Remote Installations.
1.	Sign on with the system volume password if applicable.  The   OFIS Document Designer installation gives the user the opportunity to change the path and password.
2.	Insert the OFIS Document Designer Distribution Diskette 1 into drive [f0].  Install the product as follows:
2.1.	BTOS System Installation (for CTOS Installation see below).  From the Executive, use the Software Installation command to initiate the installation procedure, leaving its parameter fields blank.  Press GO.

  Command   Software Installation			RETURN
  [Cmd file]		
  [Files to]		
  [Install file]		GO

This command will cause a series of Submit Commands to run, initiating the installation process.  It will display a boxed banner screen instructing you to enter some optional command file and password information.  DO NOT DO SO, as this may be done later.  Press GO, press GO again to cause the run command to begin.
The following prompts are displayed.  In most cases, all you need to do is press GO to accept the default settings.  You can however, change the entries when prompted by the program.  The first prompt asks you to confirm the SUBMIT command form.  Not all of these parameters will be used in OFIS Document Designer installation.  The only one you should modify is the name of the command file, [sys]<sys>sys.cmds.  After this optional editing, press GO to cause the command to begin.
  Command SUBMIT
  File list	[f0]<Sys>Install.sub
  [Parameters]	Sys Sys [f0] [Sys]<Sys>Sys.cmds
  [Force Expansion]		
  [Show Expansion]		GO
The installation continues by displaying a message that instructs you to type the password of the destination volume.  Then, to specify the destination volume and directory, it displays the PATH command form.  The form contains entries that are specific to the environment you are using.
The cursor is positioned at the password field.  If your destination volume has no password, you may ignore this step.
  Path
  [Volume]	Sys	
  [Directory]	Sys	
  [Default file prefix]		
  [Password]		
  [Node]	''	

If necessary, enter the password for the destination volume.  Press GO.  To continue your BTOS installation, skip ahead to step 3.
2.2.	CTOS System Installation (for BTOS Installation skip to step 3).  If 10.3 Standard Software (or later) has been installed:
  Command   Install 	GO
If you do not have the Install command:
  Command   Submit		RETURN
  Submit
  File List	[f0]<Sys>HdInstall.sub 	GO
  [Parameters]		
  [Force Expansion?]		
  [Show Expansion?]		

3.	Follow the directions displayed on the screen.
When the installation begins, a submit command form is displayed with a default set of parameters supplied.  These parameters describe the destination of the installed OFIS Document Designer and the volume where the installation floppy resides.  These parameters default to a local installation from floppy drive [f0].  If the floppy is in another floppy drive change the [f0] to the correct volume.  The destination (Sys) is correct for a local installation.
After changing any parameters as appropriate, continue to follow the instructions on the screen.
Save the OFIS Document Designer Distribution Diskettes in a safe place as archives.
Remote Installation (Server Hard Disk Systems)	
A remote installation is used for diskless workstations and workstations connected to an SRP server.  This installation puts the OFIS Document Designer command and run file onto the server workstation for access by all workstations booted from that server.  If it is desired to have the OFIS Document Designer command and run files installed on the hard disk at the local workstation, refer to the section above on Local Installation.
1.	Sign on with the server system volume password if applicable.  The   OFIS Document Designer installation gives the user the opportunity to change the path and password.
2.	Insert the OFIS Document Designer Distribution Diskette 1  into drive [f0].  Install the product as follows:
2.1.	BTOS System Installation (for CTOS Installation see below).  From the Executive, use the Software Installation command to initiate the installation procedure, leaving its parameter fields blank.  Press GO.
  Software Installation		Return	
  [Cmd file]		
  [Files to]		
  [Install file]	GO	
This command will cause a series of Submit Commands to run, initiating the installation process.  It will display a boxed banner screen instructing you to enter some optional command file and password information.  DO NOT DO SO, as this may be done later.  Press GO, then press GO again to cause the run command begin.
When requested later, change the destination from Sys to Sys (in order to install software onto the server workstation from a cluster workstation booted from its local file system).
The following prompts are displayed.  In most cases, all you need to do is press GO to accept the default settings.  You can however, change the entries when prompted by the program.  The first prompt asks you to confirm the SUBMIT command form.  Not all of these parameters will be used in OFIS Document Designer installation.  The only ones you should modify are the first Sys in the parameters line.  Change this entry to 'Sys to denote your remote server workstation hard disk volume name.  The other change should be to the name of the command file, to [sys]<sys>sys.cmds.  The form should look as it does below.  After this editing, press GO to cause the command to begin.
  Command SUBMIT
  File list	[f0]<Sys>Install.sub
  [Parameters]	Sys Sys [f0] [Sys]<Sys>Sys.cmds
  [Force Expansion]		
  [Show Expansion]		GO
The installation continues by displaying a message that instructs you to type the password of the destination volume.  Then, to specify the destination volume and directory, it displays the PATH command form.  The form contains entries that are specific to the environment you are using.
The cursor is positioned at the password field.  If your destination volume has no password, you may ignore this step.
  Path
  [Volume]	Sys	
  [Directory]	Sys	
  [Default file prefix]		
  [Password]		
  [Node]	''	
If necessary, enter the password for the destination volume.  Press GO.  To continue your BTOS installation, skip ahead to step 3.
2.2.	CTOS System Installation (for BTOS Installation skip to step 3).  If 10.3 Standard Software (or later) has been installed:
  Command   Install  GO
If you do not have the Install command:
  Command   Submit		RETURN
  Submit
  File List	[f0]<Sys>HdInstall.sub	GO
  [Parameters]		
  [Force Expansion?]		
  [Show Expansion?]		
Follow the directions displayed on the screen.
When the installation begins, a submit command form is displayed with a default set of parameters supplied.  These parameters describe the destination of the installed OFIS Document Designer and the volume where the installation floppy resides.  These parameters default to a local installation from floppy drive [f0].  If the floppy is in another floppy drive change the [f0] to the correct volume.  Change the destination from Sys to Sys (in order to install software onto the server workstation from a cluster workstation booted from its local file system).
3.	After changing any parameters as appropriate, continue to follow the instructions on the screen.
Save the OFIS Document Designer Distribution Diskettes in a safe place as archives.
Stand Alone Floppy Disk Systems	
OFIS Document Designer is not designed to run on floppybased systems.
Installation using Installation Manager	
If 12.0 Standard Software (or later) has been installed: installation of OFIS Document Designer can be done using the installation manager from the distribution diskettes. It can also be installed from a server, provided that the software has been installed on the server using the installation manager.
1.	If installing from diskettes, insert the OFIS Document Designer Distribution Diskette 1 into drive [f0].  Install the product as follows:
2.	From the Executive, use the Installation Manager command to initiate the installation procedure, leaving its parameter fields blank.  Press GO.
  Command Installation Manager			RETURN
  [Noninteractive?]		GO
This command will initiate a menu driven installation process. From the first menu of options, select Install New Software. 
The second menu prompts you for your installation source; select Floppy Installation if you are installing from the diskettes or Install from Server if you are installing from a server. 
The next menu sets the installation defaults; if you are not installing to a server, GO TO STEP 3.  If you are installing to a server, select ExamineChange defaults and set public to yes in the installation parameters menu (DO NOT select the verbose option as this will make it difficult to view the messages from the installation process.). Now press GO.
3.	Select Continue Installation. If the system volume is password protected, you will be prompted for a password now. 
4.	The remaining menus will establish your choices in how the installation is to proceed.  The following is a list of menus that appear (the default values are within parenthesis):
Continue Installation (Yes):  If you have not converted your customized format sets to documents, you may want to terminate the installation and do it later when you are ready. Select No if you want to terminate your installation.
Remove Old files and Commands (Yes):  If you do not want the run files, commands and other files associated with an earlier version of OFIS Designer or Document Designer to be deleted, select No.
Copy style books to disk? (yes):  Copies the style books that are shipped with the distribution.
Enter Stylebook directory (<StyleBooks>):  Specify the directory where the stylebooks are to be copied into. This directory will be created, if required, by the installation. If you are installing to a server, this information will be required during subsequent installations from the server.
If you are installing from the server,
Enter Style directory on the Server ([sys]<StyleBooks>):  If the style books have been copied to a directory other than the default on the server, provide that information here. The installation will fail if the correct path is not provided.
Install OFIS Document Editor? (Yes):  Select No if you do not want OFIS Document Editor installed.
Install Softkey Interface? (Yes):  The OFIS Document Designer commands will be installed with a softkey interface. 
Install DEF Utility? (No):  Select Yes if you want the standalone Document Exchange Utility installed.
Install Operator Statistics? (No):  Select Yes if you want operator statistics installed. 
Enter Command File to be updated ([sys]<sys>sys.cmds): If the command file you are using is different from the default, enter that here.
Add OFIS DD command to the Context Manager configuration file? (Yes): Selecting yes will add OFIS Document Designer, Resume OFIS Document Designer and OFIS Document Editor (if installed) to your Context Manager configuration file.
If you selected yes to the previous prompt,
Enter CM Config File name ([sys]<sys>cmConfig.sys):  Enter your context manager configuration file name if different from the default.
After these menus, you will not be prompted for any further information; if you are installing from the server the installation will proceed unattended. If you are installing from floppies, you will be prompted to mount [f0]<UNISYS>OFD.02 during the installation.  Insert  disk 2 when this prompt appears.  If installing from 5 inch media, you will be prompted to mount f0]<UNISYS>OFD.03 during the installation.  Insert disk3 when this prompt appear.
Required Files	
OFIS Document Designer requires the following files.  Normally they reside in [Sys]<Sys>.  Their locations can be changed if the Sys.cmds file, the Context Manager configuration file, and the .user file are altered to reflect these changed locations.
OFISDocumentDesigner.run
OfdMsg.bin
Ofdd.styles
OFISDocumentDesigner.run is stored in a backup archive file spanning the three distribution diskettes.  See section 3.0 for further information on the location of these files on the distribution diskettes.
In addition, the directory [Sys]<DD> must exist, or it will be created during the installation.
How to Change User Interface	
OFIS Document Designer provides two different user interfaces. One for the previous users of Document Designer which is referred as Menu Interface and another one for previous OFIS Designer users which is referred as Softkey Interface.
The user can select any of the two user interfaces. In order to do this follow this procedure : First, use Command File Editor command from Executive locate the OFIS Document Designer entry in the command list, use EDIT softkey choice to modify command. Use RETURN key to go to case field. If that value is 00 it means Menu Interface if it is 03 it means Softkey Interface, change that value if you want to change current user interface. Press GO. Next, locate the OFIS Document Editor entry in the command list, use EDIT softkey choice to modify command. Use RETURN key to go to case field. If that value is 02 it means Menu Interface if it is 04 it means Softkey Interface, change that value if you want to change current user interface. Press GO. Press FINISH. Save the changes. Now, use Command CM Config File Editor command from Executive. Use the current config file name, if you are using other than the default config file. Press GO. Type OFIS Document Designer in command field. Modify the [command case] field the same way as you did with Command File Editor command as explained above. Log out and log back in. Run OFIS Document Designer or OFIS Document Editor command and you will have the new user interface.
Section 12	
Error Codes	
	Most status codes for OFIS Document Designer are covered in the current status codes documentation.  Status codes that are not listed in the Status Codes Manual, are listed below.
7697	Incomplete CGM File.
This error occurs when the CGM Interpreter reaches the end of file before the End Metafile opcode.  The CGM file has either been written incorrectly due to an internal error or, if foreign, is in an invalid CGM file format.
<End of Document>